<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ElementHandle](./puppeteer.elementhandle.md) &gt; [uploadFile](./puppeteer.elementhandle.uploadfile.md)

## ElementHandle.uploadFile() method

This method expects `elementHandle` to point to an [input element](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input)<!-- -->.

<b>Signature:</b>

```typescript
uploadFile(...filePaths: string[]): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filePaths | string\[\] | Sets the value of the file input to these paths. If some of the <code>filePaths</code> are relative paths, then they are resolved relative to the [current working directory](https://nodejs.org/api/process.html#process_process_cwd) |

<b>Returns:</b>

Promise&lt;void&gt;

